Bug 155577 - Cannot import external plugins and fragments
Cannot import external plugins and fragments
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-21 11:11 EDT by Rick Moseley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 13:52:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Moseley 2005-04-21 11:11:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
When trying to Import->External Plugins and Fragments when I select a valid plugin directory to import from I get an error at the top of the screen "Enter the location of the build."  This works properly with a JVM.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Import->External Plugins and Fragments
2. uncheck "The target platform(as specified in the Preferences)
3. Select "Browse..."
4. Select a directory with a valid plugin
  

Actual Results:  The "Finish" button stays grayed out and the error message "Enter the location of the build" appears at the top of the window.

Expected Results:  A plugin gets imported.

Additional info:

rpm -qa | grep eclipse

eclipse-jdt-devel-3.1.0_fc-0.M6.7
eclipse-changelog-2.0.1_fc-20
eclipse-ecj-3.1.0_fc-0.M6.7
eclipse-cdt-3.0.0_fc-0.M6.3
eclipse-platform-devel-3.1.0_fc-0.M6.7
eclipse-pde-3.1.0_fc-0.M6.7
eclipse-platform-3.1.0_fc-0.M6.7
eclipse-pde-devel-3.1.0_fc-0.M6.7
eclipse-jdt-3.1.0_fc-0.M6.7


rpm -qa | grep gcc

gcc-c++-4.0.0-0.42
gcc-java-4.0.0-0.42
libgcc-4.0.0-0.42
gcc-4.0.0-0.42
gcc-gnat-4.0.0-0.42
gcc-gfortran-4.0.0-0.42
gcc-objc-4.0.0-0.42
Comment 1 Andrew Overholt 2005-04-26 12:30:19 EDT
I can reproduce the greyed-out Finish button, but I think that's expected
behaviour.   Are things still not working as you expect in 0.M6.11 and
gcc*-4.0.0-1, Rick?
Comment 2 Rick Moseley 2005-04-27 09:34:21 EDT
This problem still exists in the latest versions, but I have more info.  First,
I misspoke above about the "Finish" button being grayed out, it is actually the
"Next" button that stays grayed out with the error message being shown at the
top of the window.

When I start eclipse with a brand new workspace and go through the steps
outlined above, the process works OK, THE FIRST TIME.  On subsequent attempts to
import a fragment or plugin, I get the error message described above.  If I
remove the workspace or start with a fresh workspace, it works again the first
time only and does not work after that.  This all works fine with a JVM, I can
import fragments/plugins to my hearts content into the same workspace with no
problems.

rpm -qa | grep eclipse
eclipse-changelog-2.0.1_fc-20
eclipse-pde-3.1.0_fc-0.M6.11
eclipse-cdt-3.0.0_fc-0.M6.3
eclipse-pde-devel-3.1.0_fc-0.M6.11
eclipse-platform-devel-3.1.0_fc-0.M6.11
eclipse-platform-3.1.0_fc-0.M6.11
eclipse-jdt-3.1.0_fc-0.M6.11
eclipse-ecj-3.1.0_fc-0.M6.11
eclipse-jdt-devel-3.1.0_fc-0.M6.11

rpm -qa | grep gcc
gcc-gnat-4.0.0-1
gcc-java-4.0.0-1
gcc-c++-4.0.0-1
libgcc-4.0.0-1
gcc-4.0.0-1
gcc-objc-4.0.0-1
gcc-gfortran-4.0.0-1
Comment 3 Andrew Overholt 2005-04-27 12:04:16 EDT
I can't seem to duplicate this.  I have the same version as you of everything. 
Anyone else?
Comment 4 Rick Moseley 2005-04-28 13:52:41 EDT
Hmmm, well, it still occurs on my machine even after loading all of the stuff
from the 4/27/2005 builds.  Since Phil cannot duplicate it on his machine
either, I'll just take this as something funky with my machine and go ahead and
close it.

Note You need to log in before you can comment on or make changes to this bug.